@Isildur12

Проблема с node-sass во всех проектах?

Здравствуйте у меня проблема толи с create-react-app толи node.js возможно что и с самой виндой.
Вчера по стандарту сделал инициализацию проекта create-react-app и когда хотел добавить node-sass но получал ошибку что-то вроде етого: https://github.com/creativetimofficial/blk-design-...
Пробовал удалять node_modules, package-lock, заново устанавливать зависимости, пробовал старые версии node-sass 4.12.1 4.13.1 ... ничего не помогало. Бывало что node-sass старые версию вообще отказывались устанавливатся..
Гдето на хабре нагуглил что надо поставить binding node https://github.com/sass/node-sass/releases/ в npm-cache, как минимум не помогло, но возможно и проблемы прибавились.
Думаю что возможно проблемы появились когда винда обновилась гдето 2 дня назад без моего разрешения(такое бывает, автообновления отключены).

1 ошибка в проекте:
> react-scripts start

(node:9340) [DEP0148] DeprecationWarning: Use of deprecated folder mapping "./" in the "exports" field module resolution of the package at D:\Programming\WEB\javascript\practice\react\templatemonsters-r-task\node_modules\postcss-safe-parser\node_modules\postcss\package.json.
Update this package.json to use a subpath pattern like "./*".
(Use `node --trace-deprecation ...` to show where the warning was created)
i 「wds」: Project is running at http://192.168.251.102/
i 「wds」: webpack output is served from
i 「wds」: Content not from webpack is served from D:\Programming\WEB\javascript\practice\react\templatemonsters-r-task\public
i 「wds」: 404s will fallback to /
Starting the development server...

Failed to compile.

./src/components/App/styles.scss (./node_modules/css-loader/dist/cjs.js??ref--5-oneOf-6-1!./node_modules/react-scripts/node_modules/postcss-loader/src??postcss!./node_modules/resolve-url-loader??ref--5-oneOf-6-3!./node_modules/sass-loader/dist/cjs.js??ref--5-oneOf-6-4!./src/components/App/styles.scss)
Error: Node Sass does not yet support your current environment: Windows 64-bit with Unsupported runtime (88)
For more information on which environments are supported please see:
https://github.com/sass/node-sass/releases/tag/v4.12.0


Решил проверить ранне работающий проект в котором был тоже node-sass и тут она тоже появилась:
./src/pages/homepage/homepage.styles.scss (./node_modules/css-loader/dist/cjs.js??ref--6-oneOf-5-1!./node_modules/postcss-loader/src??postcss!./node_modules/resolve-url-loader??ref--6-oneOf-5-3!./node_modules/sass-loader/dist/cjs.js??ref--6-oneOf-5-4!./src/pages/homepage/homepage.styles.scss)
Error: Node Sass does not yet support your current environment: Windows 64-bit with Unsupported runtime (88)
For more information on which environments are supported please see:
https://github.com/sass/node-sass/releases/tag/v4.14.1
^C^CTerminate batch job (Y/N)?


Если ничего не поможет возможно снесу винду.
Не знаю что делать, может кто-то тоже встречался с такой ошибкой и пофиксил её, помогите пожалуйста, уже 2 день пытаюсь её решить((.
  • Вопрос задан
  • 109 просмотров
Пригласить эксперта
Ответы на вопрос 1
yarkov
@yarkov
Проект "Жизнь после смерти" - lifeafterdeath.ru
А так если?
npm rebuild node-sass
npm install
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы